import images from '@/assets/images/images';
import Header from '@/components/layout/header';
import InnerPageBanner from '@/components/layout/innerPages/banner';
import SectionTitle from '@/components/layout/sectionTitle';
import AboutTopInfo from '@/components/pages/about/TopInfo';
import { t } from '@/locales/translates';

async function getData() {
  await new Promise((resolve) => setTimeout(resolve, 1000));
  return { message: 'This data was fetched on the server!' };
}

export default async function Home() {
  const data = await getData();

  return (
    <main className="flex flex-col items-center justify-between">
      <InnerPageBanner
        title={t('pages_about_title') as string}
        imageSrc={images.aboutBanner.src}
      />
      <AboutTopInfo />
    </main>
  );
}
